## org.apache.poi.xslf.usermodel
Class XSLFSlideLayout

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet
              org.apache.poi.xslf.usermodel.XSLFSlideLayout

All Implemented Interfaces:
  java.lang.Iterable<XSLFShape>, XSLFShapeContainer

    @Beta
    public class XSLFSlideLayout

extends XSLFSheet

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XSLFSlideLayout(PackagePart part, PackageRelationship rel)`

Method Summary
`protected boolean` `canDraw(XSLFShape shape)` Render this sheet into the supplied graphics object
`void` `copyLayout(XSLFSlide slide)` Copy placeholders from this layout to the destination slide
`XSLFBackground` `getBackground()`
`boolean` `getFollowMasterGraphics()`
`XSLFSlideMaster` `getMasterSheet()`
`java.lang.String` `getName()`
`protected java.lang.String` `getRootElementName()`
`XSLFSlideMaster` `getSlideMaster()` Slide master object associated with this layout.
`XSLFTheme` `getTheme()`
`SlideLayout` `getType()`
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlideLayout` `getXmlObject()` While developing only!

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`appendContent, buildShapes, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createPicture, createTable, createTextBox, draw, getCommonSlideData, getPlaceholder, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, importContent, iterator, removeShape, setCommonSlideData`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFSlideLayout

    public XSLFSlideLayout(PackagePart part,
                           PackageRelationship rel)
                    throws java.io.IOException,
                           org.apache.xmlbeans.XmlException

Throws:
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getName

    public java.lang.String getName()

### getXmlObject

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideLayout getXmlObject()

  While developing only!

  Specified by:
    `getXmlObject` in class `XSLFSheet`
  Returns:
    top-level Xml bean representing this sheet

### getRootElementName

    protected java.lang.String getRootElementName()

  Specified by:
    `getRootElementName` in class `XSLFSheet`

### getSlideMaster

    public XSLFSlideMaster getSlideMaster()

  Slide master object associated with this layout.

  Returns:
    slide master. Never null.
  Throws:
    `java.lang.IllegalStateException` - if slide master was not found

### getMasterSheet

    public XSLFSlideMaster getMasterSheet()

  Specified by:
    `getMasterSheet` in class `XSLFSheet`
  Returns:
    master of this sheet.

### getTheme

    public XSLFTheme getTheme()

  Returns:
    theme (shared styles) associated with this theme. By default returns `null` which means that this sheet is theme-less. Sheets that support the notion of themes (slides, masters, layouts, etc.) should override this method and return the corresponding package part.

### getFollowMasterGraphics

    public boolean getFollowMasterGraphics()

  Overrides:
    `getFollowMasterGraphics` in class `XSLFSheet`
  Returns:
    whether shapes on the master sheet should be shown. By default master graphics is turned off. Sheets that support the notion of master (slide, slideLayout) should override it and check this setting in the sheet XML

### canDraw

    protected boolean canDraw(XSLFShape shape)

  Render this sheet into the supplied graphics object

  Overrides:
    `canDraw` in class `XSLFSheet`

### getBackground

    public XSLFBackground getBackground()

  Overrides:
    `getBackground` in class `XSLFSheet`
  Returns:
    background for this sheet

### copyLayout

    public void copyLayout(XSLFSlide slide)

  Copy placeholders from this layout to the destination slide

  Parameters:
    `slide` - destination slide

### getType

    public SlideLayout getType()

  Returns:
    type of this layout

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.